summaryrefslogtreecommitdiffstats
path: root/ci/configure_bridge.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/configure_bridge.sh')
-rwxr-xr-xci/configure_bridge.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/ci/configure_bridge.sh b/ci/configure_bridge.sh
new file mode 100755
index 00000000..5c1f9c77
--- /dev/null
+++ b/ci/configure_bridge.sh
@@ -0,0 +1,26 @@
+
+set -e
+
+echo "Configuring Bridge"
+
+sudo tedge cert remove
+
+sudo tedge cert create --device-id=$C8YDEVICE
+
+sudo tedge cert show
+
+sudo tedge config set c8y.url thin-edge-io.eu-latest.cumulocity.com
+
+sudo tedge config set c8y.root.cert.path /etc/ssl/certs
+
+sudo tedge config set az.url $IOTHUBNAME.azure-devices.net
+
+sudo tedge config set az.root.cert.path /etc/ssl/certs/Baltimore_CyberTrust_Root.pem
+
+sudo tedge config list
+
+# Note: This will always upload a new certificate. From time to time
+# we should delete the old ones in c8y
+sudo -E tedge cert upload c8y --user $C8YUSERNAME
+
+cat /etc/mosquitto/mosquitto.conf